# -*- perl -*-
use lib qw(t lib);
use strict;
use warnings;
use Test::More tests => 3;

use_ok 'TestRedirect';
my $t = new TestRedirect('rewrite', monolithic => 1);
is_deeply([$t->errors],[]);
is $t->result,<<EOT;
RewriteRule "^/foo" /bar [L,R=301,NE]
RewriteCond %{HTTP_HOST} =example.com [NC]
RewriteRule "^/source/subdir" /subdir [L,R=301,NE]
RewriteCond %{HTTP_HOST} =example.com [NC]
RewriteRule "^/source" /dest [L,R=301,NE]
RewriteCond %{HTTP_HOST} =example.org [NC]
RewriteRule "^/foobar" /baz [L,R=301,NE]
EOT
;
__DATA__
/foo,/bar
https://example.com/source,/dest
http://example.org/foobar,/baz
https://example.com/source/subdir,/subdir
