package TestRedirect;
use lib qw(t lib);
use strict;
use warnings;
use parent 'MakeRedirect';
use Carp;

sub new {
    my $class = shift;
    my $s;
    open(my $fh, '>', \$s) or croak "can't open output string";
    my $self = $class->SUPER::new(@_, fh => $fh);
    $self->{s} = \$s;
    $self->{error_list} = [];
    $self->read(\*main::DATA, filename => $0);
    $self->output;
    $self;
}

sub error {
    my $self = shift;
    push @{$self->{error_list}}, "@_";
}

sub errors {
    my $self = shift;
    return @{$self->{error_list}};
}

sub success {
    my $self = shift;
    $self->errors == 0
}

sub result {
    my $self = shift;
    return ${$self->{s}};
}

1;
